Package ru.bitel.bgbilling.plugins.assistant.server.bean

# Class AssistantActionBase

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.plugins.assistant.server.bean.AssistantActionBase

All Implemented Interfaces:
  `AssistantAction`

public abstract class AssistantActionBase extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements AssistantAction

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected AssistantRequest`
  `assistantRequest`
  `protected final AssistantResponse`
  `assistantResponse`
  `protected PrintStream`
  `err`
  `protected PrintStream`
  `out`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssistantActionBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssistantResponse`
  `doAction(AssistantRequest assistantRequest)`
  `void`
  `doButton1()`
  `void`
  `doButton2()`
  `void`
  `doButton3()`
  `void`
  `doButton4()`
  `protected void`
  `error(Object message)`
  `protected void`
  `print(Object message)`
  `void`
  `setErrorStream(PrintStream err)`
  `void`
  `setOutputStream(PrintStream out)`
  `AssistantResponse`
  `showAction(AssistantRequest assistantRequest)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### assistantResponse

    protected final AssistantResponse assistantResponse

  - ### out

    protected PrintStream out

  - ### err

    protected PrintStream err

  - ### assistantRequest

    protected AssistantRequest assistantRequest

- ## Constructor Details

  - ### AssistantActionBase

    public AssistantActionBase()

- ## Method Details

  - ### showAction

    public AssistantResponse showAction(AssistantRequest assistantRequest) throws Exception
    Specified by:
      `showAction` in interface `AssistantAction`
    Throws:
      `Exception`

  - ### doAction

    public AssistantResponse doAction(AssistantRequest assistantRequest) throws Exception
    Specified by:
      `doAction` in interface `AssistantAction`
    Throws:
      `Exception`

  - ### doButton1

    public void doButton1() throws Exception
    Specified by:
      `doButton1` in interface `AssistantAction`
    Throws:
      `Exception`

  - ### doButton2

    public void doButton2() throws Exception
    Specified by:
      `doButton2` in interface `AssistantAction`
    Throws:
      `Exception`

  - ### doButton3

    public void doButton3() throws Exception
    Specified by:
      `doButton3` in interface `AssistantAction`
    Throws:
      `Exception`

  - ### doButton4

    public void doButton4() throws Exception
    Specified by:
      `doButton4` in interface `AssistantAction`
    Throws:
      `Exception`

  - ### setOutputStream

    public void setOutputStream(PrintStream out)

  - ### setErrorStream

    public void setErrorStream(PrintStream err)

  - ### print

    protected void print(Object message)

  - ### error

    protected void error(Object message)